@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@1,506&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300&display=swap');

:root {
    --violet: #d33bfd;
}

body {
    margin: 0;
    font-family: 'Monserrat', sans-serif;
    color: white;
}

header {
    background: linear-gradient(#13181d, #20212e, #341b47);
}

header nav {
    padding: 30px 5% 0 5%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

header nav h1 {
    margin: 0;
    text-transform: uppercase;
    color: var(--violet);
    ;
}

header nav .right {
    display: flex;
    gap: 30px;

}

header nav .right a {
    margin: 0 15px 0 0;
    text-decoration: none;
    color: white;

}

header nav .right a:hover {
    color: var(--violet);
    transition: 0.3s;
    cursor: pointer;
}

header nav .right button {
    padding: 5px 15px;
    align-items: center;
    font-size: 16px;
    background-color: inherit;
    border: 1px solid var(--violet);
    color: var(--violet);
    border-radius: 5px;
    cursor: pointer;
    transition: color 0.5s, background-color 0.5s;
}

header nav .right button:hover {
    color: inherit;
    background-color: var(--violet);
}

.presentation {
    padding: 30px 5%;
    margin-top: 5%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.presentation .product-presentation {
    width: 100%;
    flex-shrink: 3;
}

.presentation .product-presentation h1 {
    margin: 0;
    font-size: 4vw;
    width: 80%;
}

.presentation .product-presentation p {
    font-weight: 300;
    color: #e9e9e9;
}

.presentation .product-presentation button {
    margin-top: 20px;
    padding: 15px 20px;
    font-size: 16px;
    border-radius: 10px;
    border: none;
    outline: none;
    cursor: pointer;
}

.presentation .image-presentation img {
    width: 100%;
}
.first .product-presentation button {
    background-color: var(--violet);
    color: white;
    border: 1px solid var(--violet);
    transition: background-color 0.5s, color 0.5s;
}
.first .product-presentation button:hover {
    background-color: inherit;
    color: var(--violet);
}

.first .product-presentation .small-image {
    margin-top: 30px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.first .product-presentation .small-image .small {
   padding: 20px;
   background-color: #33314d;
   margin: 0 15px 15px 0;
    border-radius: 20px;
    transition: filter 0.5s;;
    
}
.first .product-presentation .small-image .small:hover {
    filter: brightness(50%);
}

.first .product-presentation .small-image .small img {
    width: 120px;
}


.second {
    margin: 0;
    background-color: #13181d;
}

.second .product-presentation .new {
    color: var(--violet);
}
.second .product-presentation button {
    background-color: inherit;
    border: 1px solid var(--violet);
    color: var(--violet);
    transition: background-color 0.5s, color 0.5s;
}
.second .product-presentation button:hover {
    background-color: var(--violet);
    color: white;
}





footer {
	margin: 0;
	padding: 20px;
	background-color: black;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-around;
}
footer h3 {
	color: var(--violet);
}
footer p {
	cursor: pointer;
	color: #ccc;
}
footer p:hover {
	color: white;
}

@media screen and (max-width: 640px) {
	nav .right p {
		display: none;
	}

	.presentation .product-presentation h1 {
		font-size: 2em;
	}
	.presentation .image-presentation {
		display: none;
	}
	.first .product-presentation .small-images .small img {
		width: 90px;
	}

	footer {
		justify-content: flex-start;
	}
	footer .column {
		width: 80%;
	}
}
